Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class MemoryAwareConcurrentReadMap.SoftRef

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.SoftReference
              org.codehaus.groovy.runtime.metaclass.MemoryAwareConcurrentReadMap.SoftRef

All Implemented Interfaces:
  SoftReference

    class MemoryAwareConcurrentReadMap.SoftRef
    extends SoftReference

A SoftReference representing a key or value of the map. The instance keeps a pointer to the entry it is sotring a key or value for. This is used to identify the entry we need to remove

see:
  CopyOfMemoryAwareConcurrentReadMap#expungeStaleEntries()

Constructor Summary
`MemoryAwareConcurrentReadMap.SoftRef(Entry e, Object v, ReferenceQueue q)`

Method Summary
`void` | `clear()`

Methods inherited from class SoftReference
get, clear, enqueue, isEnqueued, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Reference
get, clear, enqueue, isEnqueued, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MemoryAwareConcurrentReadMap.SoftRef

    public MemoryAwareConcurrentReadMap.SoftRef(Entry e, Object v, ReferenceQueue q)

Method Detail

### clear

    public void clear()

Copyright © 2003-2009 The Codehaus. All rights reserved.